Debian Bug report logs - #441624
please link against libdb 4.6

version graph

Package: libnss-db; Maintainer for libnss-db is Debian QA Group <packages@qa.debian.org>; Source for libnss-db is src:libnss-db.

Reported by: Guido Guenther <agx@sigxcpu.org>

Date: Mon, 10 Sep 2007 17:30:01 UTC

Severity: important

Tags: patch

Found in version libnss-db/2.2.3pre1-2

Fixed in versions libnss-db/2.2.3pre1-2.1, libnss-db/2.2.3pre1-3

Done: Piotr Roszatycki <dexter@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Piotr Roszatycki <dexter@debian.org>:
Bug#441624; Package libnss-db. Full text and rfc822 format available.

Acknowledgement sent to Guido Guenther <agx@sigxcpu.org>:
New Bug report received and forwarded. Copy sent to Piotr Roszatycki <dexter@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Guido Guenther <agx@sigxcpu.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: please link against libdb 4.6
Date: Mon, 10 Sep 2007 19:25:19 +0200
Package: libnss-db
Version: 2.2.3pre1-2
Severity: wishlist

Hi,
please link against libdb 4.6 so we can get rid of libdb4.3 in lenny. As
soon as this is done I can link nss-updatedb against 4.6 too - adding
the proper conflicts.
Cheers,
 -- Guido


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: powerpc (ppc)

Kernel: Linux 2.6.23-rc5-g3a1bc03a-dirty
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libnss-db depends on:
ii  libc6                        2.6.1-2     GNU C Library: Shared libraries
ii  libdb4.3                     4.3.29-9    Berkeley v4.3 Database Libraries [
ii  libselinux1                  2.0.15-2+b1 SELinux shared libraries
ii  make                         3.81-3      The GNU version of the "make" util

libnss-db recommends no packages.

-- debconf-show failed




Information forwarded to debian-bugs-dist@lists.debian.org, Piotr Roszatycki <dexter@debian.org>:
Bug#441624; Package libnss-db. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Piotr Roszatycki <dexter@debian.org>. Full text and rfc822 format available.

Message #10 received at 441624@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 441624@bugs.debian.org
Subject: Re: please link against libdb 4.6
Date: Mon, 7 Jan 2008 22:21:39 -0800
[Message part 1 (text/plain, inline)]
severity 441624 important
tags 441624 patch
user ubuntu-devel@lists.ubuntu.com
usertags 441624 ubuntu-patch hardy
thanks

Hi Piotr,

This is really not a "wishlist" bug, it's important that packages migrate to
the current BDB in a timely manner where possible.  libnss-db is currently
the highest-priority reverse-dependency (Priority: standard) of libdb4.3,
and as mentioned it needs to be fixed before another package can be rebuilt
against db4.6, so this needs to be dealt with so that db4.3 can be removed
from the archive (or at least, demoted) for the lenny release.

Attached then is a patch to build against db4.6.  Please upload this fix, or
else please indicate if you would like me to NMU for this change.

Thanks,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[libnss-db-441624.diff (text/x-diff, attachment)]

Severity set to `important' from `wishlist' Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Tue, 08 Jan 2008 06:24:03 GMT) Full text and rfc822 format available.

Tags added: patch Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Tue, 08 Jan 2008 06:24:03 GMT) Full text and rfc822 format available.

Tags added: patch Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Sat, 12 Jan 2008 08:09:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Piotr Roszatycki <dexter@debian.org>:
Bug#441624; Package libnss-db. Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to Piotr Roszatycki <dexter@debian.org>. Full text and rfc822 format available.

Message #21 received at 441624@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: 361464@bugs.debian.org, 386615@bugs.debian.org, 441624@bugs.debian.org
Subject: Diff of the NMU
Date: Sun, 13 Jan 2008 14:23:30 +0100
[Message part 1 (text/plain, inline)]
I have made an NMU of libnss-db to fix longstanding bugs. Please find
attached the diff of the NMU.

-- 
  .''`.  Aurelien Jarno	            | GPG: 1024D/F1BCDB73
 : :' :  Debian developer           | Electrical Engineer
 `. `'   aurel32@debian.org         | aurelien@aurel32.net
   `-    people.debian.org/~aurel32 | www.aurel32.net
[libnss-db.NMU.diff (text/x-diff, attachment)]

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Guido Guenther <agx@sigxcpu.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #26 received at 441624-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 441624-close@bugs.debian.org
Subject: Bug#441624: fixed in libnss-db 2.2.3pre1-2.1
Date: Sun, 13 Jan 2008 13:32:03 +0000
Source: libnss-db
Source-Version: 2.2.3pre1-2.1

We believe that the bug you reported is fixed in the latest version of
libnss-db, which is due to be installed in the Debian FTP archive:

libnss-db_2.2.3pre1-2.1.diff.gz
  to pool/main/libn/libnss-db/libnss-db_2.2.3pre1-2.1.diff.gz
libnss-db_2.2.3pre1-2.1.dsc
  to pool/main/libn/libnss-db/libnss-db_2.2.3pre1-2.1.dsc
libnss-db_2.2.3pre1-2.1_amd64.deb
  to pool/main/libn/libnss-db/libnss-db_2.2.3pre1-2.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 441624@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated libnss-db package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 13 Jan 2008 13:16:01 +0100
Source: libnss-db
Binary: libnss-db
Architecture: source amd64
Version: 2.2.3pre1-2.1
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 libnss-db  - NSS module for using Berkeley Databases as a naming service
Closes: 361464 386615 441624
Changes: 
 libnss-db (2.2.3pre1-2.1) unstable; urgency=low
 .
   * Non-maintainer upload from the Zürich BSP.
   * Don't build-depends on libselinux1-dev on kfreebsd-amd64. Closes:
     #361464.
   * Apply patch by Steve Langasek to switch to db4.6 (Closes: #441624):
     - Replaced 040-db4.3_api_change.patch with 040-db4.patch,
       020-db4.3_usage.patch with 020-db4.patch.
   * Add Swedish translation from Daniel Nylander (Closes: #386615).
   * Fix selinux detection in debian/patches/070-selinux.patch (Closes: 
     #344277).
Files: 
 60ab4ae31e1b5665e5940917cdc336ee 722 admin standard libnss-db_2.2.3pre1-2.1.dsc
 e87d5c443e0b7a54f4595c9d87c7379a 16092 admin standard libnss-db_2.2.3pre1-2.1.diff.gz
 d30d0d3361f28f69b6411ae38457023c 27782 admin standard libnss-db_2.2.3pre1-2.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHig54w3ao2vG823MRAmFdAKCI6g+I0qhavdlYi/i3N/ksK2T4XQCePDAZ
vUsXxAPCyFETGBALM0of0gQ=
=sNZ0
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Piotr Roszatycki <dexter@debian.org>:
Bug#441624; Package libnss-db. Full text and rfc822 format available.

Acknowledgement sent to Saku Ytti <saku@ytti.fi>:
Extra info received and forwarded to list. Copy sent to Piotr Roszatycki <dexter@debian.org>. Full text and rfc822 format available.

Message #31 received at 441624@bugs.debian.org (full text, mbox):

From: Saku Ytti <saku@ytti.fi>
To: 441624@bugs.debian.org, aurelien@aurel32.net
Subject: [ytti@mx.ytti.net: libdb4.6: libdb-4.6 complains if services.db does not exists or if it exists but is not RW]
Date: Mon, 14 Jan 2008 13:03:18 +0200
This change had following result on my system.

Thanks,
----- Forwarded message from Saku Ytti <ytti@mx.ytti.net> -----

From: Saku Ytti <ytti@mx.ytti.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libdb4.6: libdb-4.6 complains if services.db does not exists or if it exists
	but is not RW
Date: Mon, 14 Jan 2008 12:55:45 +0200

Package: libdb4.6
Version: 4.6.21-5
Severity: normal


[ytti@ytti.fi ~]% whois ip.fi 1>/dev/null
/var/lib/misc/services.db: Permission denied
[ytti@ytti.fi ~]% sudo mv /usr/lib/libdb-4.6.so /usr/lib/libdb-4.6.so.ORG
[ytti@ytti.fi ~]% sudo ln -s /usr/lib/libdb-4.4.so /usr/lib/libdb-4.6.so
[ytti@ytti.fi ~]% whois ip.fi 1>/dev/null                                
[ytti@ytti.fi ~]% 

Thanks,

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.16-rc4-xen
Locale: LANG=en_GB.ISO-8859-15, LC_CTYPE=fi_FI (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash

Versions of packages libdb4.6 depends on:
ii  libc6                         2.7-6      GNU C Library: Shared libraries

libdb4.6 recommends no packages.

-- no debconf information

----- End forwarded message -----

-- 
  ++ytti




Reply sent to Piotr Roszatycki <dexter@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Guido Guenther <agx@sigxcpu.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #36 received at 441624-close@bugs.debian.org (full text, mbox):

From: Piotr Roszatycki <dexter@debian.org>
To: 441624-close@bugs.debian.org
Subject: Bug#441624: fixed in libnss-db 2.2.3pre1-3
Date: Wed, 16 Jan 2008 17:02:11 +0000
Source: libnss-db
Source-Version: 2.2.3pre1-3

We believe that the bug you reported is fixed in the latest version of
libnss-db, which is due to be installed in the Debian FTP archive:

libnss-db_2.2.3pre1-3.diff.gz
  to pool/main/libn/libnss-db/libnss-db_2.2.3pre1-3.diff.gz
libnss-db_2.2.3pre1-3.dsc
  to pool/main/libn/libnss-db/libnss-db_2.2.3pre1-3.dsc
libnss-db_2.2.3pre1-3_i386.deb
  to pool/main/libn/libnss-db/libnss-db_2.2.3pre1-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 441624@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Piotr Roszatycki <dexter@debian.org> (supplier of updated libnss-db package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 16 Jan 2008 17:22:21 +0100
Source: libnss-db
Binary: libnss-db
Architecture: source i386
Version: 2.2.3pre1-3
Distribution: unstable
Urgency: low
Maintainer: Piotr Roszatycki <dexter@debian.org>
Changed-By: Piotr Roszatycki <dexter@debian.org>
Description: 
 libnss-db  - NSS module for using Berkeley Databases as a naming service
Closes: 344277 361464 379621 386615 391517 441624 460339 460851 460963
Changes: 
 libnss-db (2.2.3pre1-3) unstable; urgency=low
 .
   * Applied all NMU patches. Closes: #460339, #460851, #344277, #361464,
     #379621, #441624, #391517.
   * Fixed bad 010-db2_upgrade_code.patch which broke this package.
     Closes: #460963.
   * Add Swedish translation to 080-translations.patch. Closes: #386615.
   * Updated 070-selinux.patch based on the latest Fedora.
Files: 
 64d4661fe71d45f6684a907f4e82a2ec 875 admin standard libnss-db_2.2.3pre1-3.dsc
 32d83e5d6e9663b687e57af1997ae730 16668 admin standard libnss-db_2.2.3pre1-3.diff.gz
 47858b7e81969f36265fe2e1c9f86f15 27954 admin standard libnss-db_2.2.3pre1-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHjjR1hMHHe8CxClsRAjo7AJ9sduo5+2O+ytXaUCOyCiHfXaiNdgCfSdPx
nEDub6EkWW+NqudEIxc1yPI=
=ua3J
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 14 Feb 2008 07:27:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:47:56 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.